#!/usr/bin/python3

import pygame

pygame.init()
screen = pygame.display.set_mode((600, 200), flags=pygame.RESIZABLE)
pygame.display.set_caption("Loading...")
clock = pygame.time.Clock()

end = 100
speed = 4
error = False

white = (255, 255, 255)
red = (255, 20, 20)
gray = (40, 40, 40)
dark_gray = (30, 30, 30)

font = pygame.font.Font(pygame.font.get_default_font(), 32)
error_text = font.render("Error.", True, red)
unfilled_bar = pygame.Rect(100, 97, 400, 6)

def play_sound():
    sound = pygame.mixer.Sound("error.mp3")
    pygame.mixer.Sound.play(sound)

running = True

while running:
    screen.fill(gray)

    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            running = False

    if running:
        if error:
            x, y = error_text.get_size()
            screen.blit(error_text, (300 - x / 2, 100 - y))

        else:
            bar = pygame.Rect(100, 97, end - 100, 6)

            pygame.draw.rect(screen, dark_gray, unfilled_bar)
            pygame.draw.circle(screen, dark_gray, (100, 100), 3)
            pygame.draw.circle(screen, dark_gray, (500, 100), 3)

            pygame.draw.rect(screen, white, bar)
            pygame.draw.circle(screen, white, (100, 100), 3)
            pygame.draw.circle(screen, white, (end, 100), 3)



            if end < 500:
                end += speed
                speed /= 1.01

            else:
                end = 100  # endless
                speed = 4  # endless
                error = True  # not endless
                play_sound()  # not endless

        pygame.display.update()

    clock.tick(60)